{
  description = "immich";

  inputs = {
    nixpkgs = {
      url = "nixpkgs/nixos-unstable";
    };
    flake-utils = {
      url = "github:numtide/flake-utils";
    };
  };

  outputs = { self, nixpkgs, flake-utils }@inputs:
    flake-utils.lib.eachDefaultSystem
      (system:
        let
          pkgs = import nixpkgs {
            inherit system;
          };
        in
        {
          packages = {
            immich-cli =
              let
                pname = "immich-cli";
                version = "0.36.0";
              in
              pkgs.buildNpmPackage {
                inherit pname version;
                src = pkgs.fetchFromGitHub {
                  owner = "immich-app";
                  repo = "CLI";
                  rev = "v${version}";
                  hash = "sha256-xdzmhTqIr9ngmcx2y0zliDn7EigxGkF+LTo1ak3tCJk=";
                };
                npmDepsHash = "sha256-HD4xrKvyyVA7C7kBRYtDWRQ1EGKvKNOj2bnXa5Thcl8=";
              };
          };
        }
      );
}
